# Class ColorParameter

java.lang.Object
uk.ac.starlink.task.Parameter<Color>
uk.ac.starlink.ttools.plottask.NamedObjectParameter<Color>
uk.ac.starlink.ttools.plottask.ColorParameter

public class ColorParameter extends NamedObjectParameter<Color>

## Field Summary

### Fields inherited from class uk.ac.starlink.task.Parameter

`BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`ColorParameter(String name)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Color`
`colorValue(uk.ac.starlink.task.Environment env)`
Returns the value of this parameter as a Color object.
`Color`
`fromString(String name)`
Translates a string value for this parameter into the object value which it represents.
`String`
`getFormatDescription()`
Returns an XML string, suitable for inclusion in a parameter description, which explains the format of values accepted by this parameter.
`void`
`setDefaultColor(Color color)`
Sets the default value of this parameter to a given color object.
`String`
`toString(Color option)`
Translates a possible option value of this parameter into a string which represents it as a string value.

### Methods inherited from class NamedObjectParameter

`addOption, getNames, getOptionList, getOptions, getUsage, setDefaultOption, setUsage, stringToObject`

### Methods inherited from class uk.ac.starlink.task.Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getValueClass, isNullPermitted, objectToString, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ColorParameter

public ColorParameter(String name)
Constructor.

Parameters:
  `name` - parameter name

## Method Details

### colorValue

public Color colorValue(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException
Returns the value of this parameter as a Color object.

Parameters:
  `env` - execution environment
Throws:
  `uk.ac.starlink.task.TaskException`

### setDefaultColor

public void setDefaultColor(Color color)
Sets the default value of this parameter to a given color object.

Parameters:
  `color` - colour

### toString

public String toString(Color option)
Description copied from class: `NamedObjectParameter`
Translates a possible option value of this parameter into a string which represents it as a string value.

Overrides:
  `toString` in class `NamedObjectParameter<Color>`
Parameters:
  `option` - object value
Returns:
  corresponding string

### fromString

public Color fromString(String name)
Description copied from class: `NamedObjectParameter`
Translates a string value for this parameter into the object value which it represents. Must return a suitable object value for this parameter, or throw an unchecked exception.

The implementation must be such that `fromString(toString(o)).equals(o)`.

Specified by:
  `fromString` in class `NamedObjectParameter<Color>`
Parameters:
  `name` - option name
Returns:
  corresponding option value

### getFormatDescription

public String getFormatDescription()
Returns an XML string, suitable for inclusion in a parameter description, which explains the format of values accepted by this parameter. The returned string is not enclosed in a <p> element.

Returns:
  format description XML string